<div class="container">
  <form novalidate (ngSubmit)="addUser()" #addUserForm="ngForm">
    <mat-form-field>
      <input id="usernameInput" matInput required [(ngModel)]="user.username" placeholder="Username" name="username">
      <mat-error *ngIf="addUserForm.controls.username?.errors?.required">Username is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input id="emailInput" matInput required [(ngModel)]="user.email" placeholder="Email" name="email" email>
      <mat-error *ngIf="addUserForm.controls.email?.errors?.required">Email is required</mat-error>
      <mat-error *ngIf="addUserForm.controls.email?.errors?.email">Input has to be a valid email</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input id="passwordInput" type="password" matInput required (keyup)="passwordChanged()" [(ngModel)]="user.password" placeholder="Password" name="password">
        <mat-error *ngIf="addUserForm.controls.password?.errors?.required">Password is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input id="confirmPasswordInput" type="password" matInput required [(ngModel)]="confirmedPassword" placeholder="Confirm Password" name="confirmedPassword" appPasswordConfirmationValidator [originalPassword]="addUserForm.value?.password">
      <mat-error *ngIf="addUserForm.controls.confirmedPassword?.errors?.required">Password confirmation is required</mat-error>
      <mat-error *ngIf="addUserForm.controls.confirmedPassword?.errors?.passwordConfirmation">Passwords have to match</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input id="nameInput" matInput required [(ngModel)]="user.name" placeholder="Name" name="name">
      <mat-error *ngIf="addUserForm.controls.name?.errors?.required">Name is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input id="surnameInput" matInput required [(ngModel)]="user.surname" placeholder="Surname" name="surname">
      <mat-error *ngIf="addUserForm.controls.surname?.errors?.required">Surname is required</mat-error>
    </mat-form-field>

    <div class="center">
      <button id="registerButton" mat-button type="submit" [disabled]="!addUserForm.valid">Register</button>
    </div>
  </form>
</div>